import { type DomainEvent } from '@modules/shared';

export class EscrowReleasedEvent implements DomainEvent {
  readonly eventName = 'escrow.released';
  readonly occurredAt = new Date();

  constructor(
    public readonly aggregateId: string,
    public readonly orderId: string,
    public readonly payoutVND: bigint,
  ) {}
}
